#!/bin/bash


if [ "${1}x" == "px" -o "${#}x" == "0x" ]
then
  echo
  echo "---------------- 8< -----------------------------------------------"
  echo "#"
  echo "# PCE"
  echo "#"
  gcc tcxf-pce.c -lpthread -lzbar -o tcxf-pce
  echo "Done."
  echo "----------------------------------------------- >8 ----------------"
  echo
fi

if [ "${1}x" == "dx" -o "${#}x" == "0x" ]
then
  echo
  echo "---------------- 8< -----------------------------------------------"
  echo "#"
  echo "# DCE"
  if [ "${2}x" == "ansix" -o "${3}x" == "ansix" ]
  then
    echo "#   +ANSIONLY"
    opt="-DANSIONLY"
  else
    echo "#   +GTK2"
    opt="$(pkg-config --cflags --libs gtk+-2.0)"
  fi
  if [ "${2}x" == "staticx" -o "${3}x" == "staticx" ]
  then
    echo "#   +STATIC"
    echo "#"
    gcc tcxf-dce.c ${opt} -lpthread \
      -include "$(pwd)/qrencode-3.4.3/qrencode.h" \
      qrencode-3.4.3/.libs/libqrencode.a \
      -o tcxf-dce
  else
    echo "#"
    gcc tcxf-dce.c ${opt} -lpthread -lqrencode \
      -o tcxf-dce
  fi
  if [ -x "tcxf-dce" ]
  then
    # strip tcxf-dce
    echo "not stripped."
  fi
  echo "Done."
  echo "----------------------------------------------- >8 ----------------"
  echo
fi
